/// <reference types="node" />
/// <reference types="node" />
import * as net from 'net';
export declare class SocketManager {
    private sockets;
    private emitter;
    connect(options: net.NetConnectOpts): void;
    private _connect;
    send(options: net.NetConnectOpts, data: Buffer): void;
    server(port: number): void;
    on(event: string, listener: (options: net.NetConnectOpts, ...args: any[]) => void): void;
}
